package examenes.examen20250321.controlador;

import examenes.examen20250321.modelo.Localidad;
import examenes.examen20250321.modelo.Morosidad;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

public class ControladorMorosidad {
    public static List<Morosidad> getAllMorosidades() { // Morosidades?? Vaya nombre me invento
        Connection conn = GestorConexiones.getConnection();
        List<Morosidad> morosidades = new ArrayList<>();
        try {
            Statement st = conn.createStatement();
            ResultSet rs = st.executeQuery("select * from tipo_morosidad;");

            while (rs.next()) {
                morosidades.add(new Morosidad(rs.getInt("id"), rs.getString("descripcion")));
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
        return morosidades;
    }
}
